# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.appsforyourdomain.provisioning
Class NicknameEntry

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.BaseEntry<NicknameEntry>
                  com.google.gdata.data.appsforyourdomain.provisioning.NicknameEntry

All Implemented Interfaces:
  Extension, IAtom, IEntry, Kind.Adaptable, Kind.Adaptor

    public class NicknameEntry

extends BaseEntry<NicknameEntry>

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.BaseEntry
`BaseEntry.AtomHandler, BaseEntry.EntryState`

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary
`static Category` `NICKNAME_CATEGORY` Kind category used to label feeds or entries that have Nickname extension data.
`static java.lang.String` `NICKNAME_KIND` Kind term value for Nickname category labels.

Fields inherited from class com.google.gdata.data.BaseEntry
`state`

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`NicknameEntry()` Constructs a new empty NicknameEntry with the appropriate kind category to indicate that it is an nickname.
`NicknameEntry(BaseEntry sourceEntry)` Constructs a new NicknameEntry by doing a shallow copy of data from an existing BaseEntry intance.

Method Summary
`void` `declareExtensions(ExtensionProfile extensionProfile)` Declares the set of expected Extension types for an ExtensionPoint within the target extension profile.
`Login` `getLogin()`
`Nickname` `getNickname()`

Methods inherited from class com.google.gdata.data.BaseEntry

`addAdaptor, addHtmlLink, addLink, addLink, delete, generate, generateAtom, generateRss, getAdaptedEntry, getAdaptor, getAdaptors, getAuthors, getCanEdit, getCategories, getContent, getContentHandlerInfo, getContributors, getEdited, getEditLink, getEtag, getHandler, getHtmlLink, getId, getKind, getLink, getLinks, getLinks, getMediaEditLink, getPlainTextContent, getPubControl, getPublished, getResumableEditMediaLink, getRights, getSelectedFields, getSelf, getSelfLink, getService, getSource, getSummary, getTextContent, getTitle, getUpdated, getVersionId, isDraft, parseAtom, parseAtom, parseAtom, readEntry, readEntry, removeLinks, removeLinks, setCanEdit, setContent, setContent, setDraft, setEdited, setEtag, setId, setKind, setPubControl, setPublished, setRights, setSelectedFields, setService, setSource, setSummary, setTitle, setUpdated, setVersionId, update, visitChildren`

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NICKNAME_KIND

    public static final java.lang.String NICKNAME_KIND

  Kind term value for Nickname category labels.

  See Also:
    Constant Field Values

### NICKNAME_CATEGORY

    public static final Category NICKNAME_CATEGORY

  Kind category used to label feeds or entries that have Nickname extension data.

Constructor Detail

### NicknameEntry

    public NicknameEntry()

  Constructs a new empty NicknameEntry with the appropriate kind category to indicate that it is an nickname.

### NicknameEntry

    public NicknameEntry(BaseEntry sourceEntry)

  Constructs a new NicknameEntry by doing a shallow copy of data from an existing BaseEntry intance.

Method Detail

### declareExtensions

    public void declareExtensions(ExtensionProfile extensionProfile)

  Description copied from class: `ExtensionPoint`
  Declares the set of expected Extension types for an ExtensionPoint within the target extension profile. The base implementation does not declare any extensions, but can be overridden by specific types of ExtensionPoints that always contain a well-defined set of extensions.

  Specified by:
    `declareExtensions` in interface `Kind.Adaptor`
  Overrides:
    `declareExtensions` in class `ExtensionPoint`
  Parameters:
    `extensionProfile` - the ExtensionProfile to initialize.
  See Also:
    `ExtensionProfile.addDeclarations(Kind.Adaptor)`

### getNickname

    public Nickname getNickname()

### getLogin

    public Login getLogin()